petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexGetSupportSize

Return the number of out-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSupportSize(DM dm, PetscInt p, PetscInt *size)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

size -The support size for point p

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexSetChart(), DMPlexGetConeSize()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html